INSTALL(1B)

NAME
install - (BSD) install files

SYNOPSIS

/usr/local/heirloom/usr/ucb/install [-cs] [-g group] [-m mode] [-o owner] file1 file2

/usr/local/heirloom/usr/ucb/install [-cs] [-g group] [-m mode] [-o owner] file . . . directory

/usr/local/heirloom/usr/ucb/install -d [-g group] [-m mode] [-o owner] directory

DESCRIPTION
The install command copies one regular file to a destination file or one or more regular files into a destination directory. It is commonly used within Makefiles to install newly created software components.

If the -d option is present, install creates the named directory, also creating non-existent parent directories. It is not an error if the directory already exists. The -g, -m, and -o options apply to the last pathname component only; attributes are set whether the directory is newly created or not. Parent directories are always created using a default mode of 777 minus umask and default ownerships.

The following options are also accepted:

-c  This option is ignored and exists for compatibility only. Ancient versions of this command removed the source file unless this option was present.

-s  Strip the target files (i.e. execute the strip(1) command on them).

-g group
    Use the given group ownership for target files. By default, the group of the invoking user is used.

-m mode
    Set the access permissions of target files to octal mode. By default, mode 755 is used.

-o owner
    Specifies the owner of target files. By default, target files are owned by the invoking user.

SEE ALSO
cp(1), chgrp(1), chmod(1), chown(1), make(1), mkdir(1), strip(1)